c9a1eb638a687f1bf6425544d31f736ec9707e06
[openwrt/svn-archive/archive.git] / toolchain / binutils / Config.in
1 # Choose binutils version.
2
3 choice
4 prompt "Binutils Version" if TOOLCHAINOPTS
5 default BINUTILS_VERSION_2_18 if avr32
6 default BINUTILS_VERSION_2_19_1
7 help
8 Select the version of binutils you wish to use.
9
10 config BINUTILS_VERSION_2_18
11 depends !ubicom32
12 bool "binutils 2.18"
13
14 config BINUTILS_VERSION_2_19_1
15 depends !avr32
16 bool "binutils 2.19.1"
17
18 config BINUTILS_VERSION_2_20
19 depends !avr32
20 depends !ubicom32
21 bool "binutils 2.20"
22
23 config BINUTILS_VERSION_CS
24 depends !avr32
25 depends !ubicom32
26 depends BROKEN
27 bool "binutils 2.19.1+20090205 with CodeSourcery enhancements"
28
29 endchoice
30
31 config EXTRA_BINUTILS_CONFIG_OPTIONS
32 string
33 prompt "Additional binutils configure options" if TOOLCHAINOPTS
34 default ""
35 help
36 Any additional binutils options you may want to include....
37
38 config BINUTILS_VERSION
39 string
40 prompt "Binutils Version" if (TOOLCHAINOPTS && NULL)
41 default "2.18" if BINUTILS_VERSION_2_18
42 default "2.19.1" if BINUTILS_VERSION_2_19_1
43 default "2.20" if BINUTILS_VERSION_2_20
44 default "2.19.1+cs" if BINUTILS_VERSION_CS
45 default "2.18" if avr32
46 default "2.19.1"